Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modules
Class MudConnector

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--modules.MudConnector

public class MudConnector
extends java.awt.Panel
implements Module, java.lang.Runnable

A specially designed module for the MUD Connector. It loads a list of MUDs via http and displays them in a list box to be selected. A selected MUD can then be entered.

MudConnector parameterfile:

      <PARAM NAME=MUDlist VALUE="url">

  The url of the Mudlist. This url MUST be located on the same web server as the applet!

Version:
  $Id: MudConnector.html,v 1.1.1.1 2005/09/25 22:40:20 rswindell Exp $
Author:
  Matthias L. Jugel, Marcus Meißner
See Also:
  `Module`, Serialized Form

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`MudConnector()`

Method Summary
`void` | `addNotify()` when newly added try to load the mudlist using the parameter "mudlist"
`void` | `connect(java.lang.String host, int port)` dummy methods
`void` | `disconnect()`
`boolean` | `handleEvent(java.awt.Event evt)` handle list selection, connect, disconnect and refresh button
`java.lang.String` | `receive(java.lang.String str)`
`void` | `run()` The body of the thread opens a URLConnection with the address given as parameter "mudlist" and downloads it.
`void` | `setLoader(java.lang.Object loader)` setLoader() is called upon start of the parent applet.

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MudConnector

    public MudConnector()

Method Detail

### setLoader

    public void setLoader(java.lang.Object loader)

  setLoader() is called upon start of the parent applet. This method initializes the GUI of the module, e.g the list and buttons.
  Specified by:
    setLoader in interface Module
  Parameters:
    `loader` - the parent applet

### addNotify

    public void addNotify()

  when newly added try to load the mudlist using the parameter "mudlist"
  Overrides:
    addNotify in class java.awt.Panel

### run

    public void run()

  The body of the thread opens a URLConnection with the address given as parameter "mudlist" and downloads it. It expects a tabulator separated list and the amount of muds in the file at the beginning of the file.
  Specified by:
    run in interface java.lang.Runnable

### handleEvent

    public boolean handleEvent(java.awt.Event evt)

  handle list selection, connect, disconnect and refresh button
  Parameters:
    `evt` - the event to process
  Overrides:
    handleEvent in class java.awt.Component

### connect

    public void connect(java.lang.String host,
                        int port)

  dummy methods
  Specified by:
    connect in interface Module

### disconnect

    public void disconnect()

  Specified by:
    disconnect in interface Module

### receive

    public java.lang.String receive(java.lang.String str)

  Specified by:
    receive in interface Module

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD